import './demo11.css';
import Grid from '..';
import React from 'react';
import ReactDOM from 'react-dom';
const { Row, Col } = Grid;
ReactDOM.render(React.createElement("div", { className: "align-demo" },
    React.createElement("div", { className: "grid-fixed-demo-title" }, "top"),
    React.createElement(Row, { align: "top" },
        React.createElement(Col, { span: "8", style: { height: '100px', lineHeight: '100px' } }, "col-8"),
        React.createElement(Col, { span: "8", style: { height: '50px', lineHeight: '50px' } }, "col-8"),
        React.createElement(Col, { span: "8", style: { height: '150px', lineHeight: '150px' } }, "col-8")),
    React.createElement("div", { className: "grid-fixed-demo-title" }, "center"),
    React.createElement(Row, { align: "center" },
        React.createElement(Col, { span: "8", style: { height: '100px', lineHeight: '100px' } }, "col-8"),
        React.createElement(Col, { span: "8", style: { height: '50px', lineHeight: '50px' } }, "col-8"),
        React.createElement(Col, { span: "8", style: { height: '150px', lineHeight: '150px' } }, "col-8")),
    React.createElement("div", { className: "grid-fixed-demo-title" }, "bottom"),
    React.createElement(Row, { align: "bottom" },
        React.createElement(Col, { span: "8", style: { height: '100px', lineHeight: '100px' } }, "col-8"),
        React.createElement(Col, { span: "8", style: { height: '50px', lineHeight: '50px' } }, "col-8"),
        React.createElement(Col, { span: "8", style: { height: '150px', lineHeight: '150px' } }, "col-8")),
    React.createElement("div", { className: "grid-fixed-demo-title" }, "baseline"),
    React.createElement(Row, { align: "baseline" },
        React.createElement(Col, { span: "8", style: { height: '100px', paddingTop: '20px', fontSize: '30px' } }, "col-8"),
        React.createElement(Col, { span: "8", style: { height: '50px', paddingTop: '20px', fontSize: '20px' } }, "col-8"),
        React.createElement(Col, { span: "8", style: { height: '150px', paddingTop: '20px', fontSize: '40px' } }, "col-8")),
    React.createElement("div", { className: "grid-fixed-demo-title" }, "stretch"),
    React.createElement(Row, { align: "stretch", style: { height: '150px' } },
        React.createElement(Col, { span: "8" }, "col-8"),
        React.createElement(Col, { span: "8" }, "col-8"),
        React.createElement(Col, { span: "8" }, "col-8")),
    React.createElement("div", { className: "grid-fixed-demo-title" }, "override"),
    React.createElement(Row, { align: "top" },
        React.createElement(Col, { align: "bottom", span: "8", style: { height: '100px', lineHeight: '100px' } }, "col-8"),
        React.createElement(Col, { span: "8", style: { height: '50px', lineHeight: '50px' } }, "col-8"),
        React.createElement(Col, { span: "8", style: { height: '150px', lineHeight: '150px' } }, "col-8"))), document.getElementById('grid-demo-11'));
